Package org.bedework.synch.wsmessages

# Class SynchInfoType

java.lang.Object
org.bedework.synch.wsmessages.SynchInfoType

public class SynchInfoType extends Object
Used to provide information about the synch system. Allows the caller to list end-points and their characteristics.

Java class for SynchInfoType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SynchInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="connectors" type="{http://www.bedework.org/synch/wsmessages}ArrayOfSynchConnectorInfo"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ArrayOfSynchConnectorInfo`
  `connectors`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynchInfoType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayOfSynchConnectorInfo`
  `getConnectors()`
  Gets the value of the connectors property.
  `void`
  `setConnectors(ArrayOfSynchConnectorInfo value)`
  Sets the value of the connectors property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### connectors

    protected ArrayOfSynchConnectorInfo connectors

- ## Constructor Details

  - ### SynchInfoType

    public SynchInfoType()

- ## Method Details

  - ### getConnectors

    public ArrayOfSynchConnectorInfo getConnectors()
    Gets the value of the connectors property.
    Returns:
      possible object is `ArrayOfSynchConnectorInfo`

  - ### setConnectors

    public void setConnectors(ArrayOfSynchConnectorInfo value)
    Sets the value of the connectors property.
    Parameters:
      `value` - allowed object is `ArrayOfSynchConnectorInfo`